
/*Program of simple On/off button code for Attiny 44
Button connected to PA7(physical pin no.6 on tiny44)
led connected to PA3(physical pin no.10 on tiny44)
led connected to PA2(physical pin no.11 on tiny44*/

#include <avr/io.h>
int main (void){
  PORTA=0b010000000;/*Initialize pullup resistor on our input by setting bit 7 of register port a High*/
  DDRA  =0b00001000; /* setup pin3 of port A for output by setting bit3 of register DDRA high*/ 
  
while(1){    /*look for button press*/
  if ((PINA & 0b010000000)==0){  /*look pin 8 is low*/
    PORTA=0b00001000;   /* turn on led on in 3
  }
  else{  /*otherwise*/
    PORTA=0b00000000;  /* leave output low*/
  }
}
return(0);   /*end event loop*/
}
